Subject: Re: [dispatch] SIP OPTIONS "ping"

From: "Paul E. Jones" <[email-masked]>
Date: Fri, 13 Aug 2010 00:36:41 -0400

Cullen,

Thanks for the suggestion.

All,

Please see the note below.  We're seeking advice on how to proceed with the
subject draft.

Paul

> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]]
> Sent: Thursday, August 12, 2010 11:44 PM
> To: Paul E. Jones
> Cc: [email-masked]; Hadriel Kaplan
> Subject: Re: [sip-ops] SIP OPTIONS "ping"
> 
> 
> I think you discuss how to move forward with this draft on dispatch
> mailing list given that's the point of that list is help with problems
> like this.
> 
> On Aug 11, 2010, at 22:14 , Paul E. Jones wrote:
> 
> > Folks,
> >
> > Gonzalo and I produced an Internet Draft aiming at trying to bring some
> consistency to the way in which SIP user agents implement an OPTIONS
> "ping" procedure.  It seems that a very large number of vendors do this,
> but unfortunately, there seems to be little consistency.
> >
> > Initially, we positioned the document as a standards track RFC, since
> this essentially builds on RFC 3261.  However, there was some pushback
> from folks in the IETF for a variety of reasons, not the least of which is
> the fact that there is no working group chartered to do the work.  We
> don't feel this one draft warrants the creation of a working group.
> >
> > So, we've got three options we can consider:
> > 1)      Forge ahead outside of a working group
> > 2)      Change the status of the draft to Informational
> > 3)      Forget about the draft and let every SIP device do it the way
> they want, throwing hope of consistency out the window
> >
> > (Yeah, you can tell I prefer not to go for the third option.)
> >
> > In any case, I'd like to get feedback from the on the SIP operators and
> SIP implementers lists.  Do you think it's worth trying to address this
> issue?  If so, which option do you think we should pursue?
> >
> > Note that we're certainly open to feedback on the draft.  I'd prefer it
> to have a few more "MUST" statements in the text, rather than "SHOULD".
> But, we need to find that right balance:
> > http://tools.ietf.org/html/draft-jones-sip-options-ping
> >
> > Paul
> >
> > _______________________________________________
> > sip-ops mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/sip-ops
> 
> 
> Cullen Jennings
> For corporate legal information go to:
> http://www.cisco.com/web/about/doing_business/legal/cri/index.html
>